summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-06 17:45:06 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-06 17:45:06 +0000
commit139967d6a6a7681ec45d4a91adfda7f5c796c587 (patch)
tree703f0192c7144b3a23f0223434b1f480cac177b9 /dev-python
parent93380919930bb84943f6f35b49a4ffbb13fe4b37 (diff)
downloadbaldeagleos-repo-139967d6a6a7681ec45d4a91adfda7f5c796c587.tar.gz
baldeagleos-repo-139967d6a6a7681ec45d4a91adfda7f5c796c587.tar.xz
baldeagleos-repo-139967d6a6a7681ec45d4a91adfda7f5c796c587.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/Manifest2
-rw-r--r--dev-python/aiohttp/aiohttp-3.11.0_beta3.ebuild (renamed from dev-python/aiohttp/aiohttp-3.11.0_beta1.ebuild)2
-rw-r--r--dev-python/caldav/Manifest1
-rw-r--r--dev-python/caldav/caldav-1.4.0.ebuild37
-rw-r--r--dev-python/cmd2/Manifest3
-rw-r--r--dev-python/cmd2/cmd2-2.5.1.ebuild53
-rw-r--r--dev-python/cmd2/cmd2-2.5.3.ebuild (renamed from dev-python/cmd2/cmd2-2.5.0.ebuild)0
-rw-r--r--dev-python/jsonpickle/Manifest1
-rw-r--r--dev-python/jsonpickle/jsonpickle-3.4.1.ebuild67
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.44.ebuild67
-rw-r--r--dev-python/mpxj/mpxj-13.5.1-r2.ebuild (renamed from dev-python/mpxj/mpxj-13.5.1-r1.ebuild)0
-rw-r--r--dev-python/opentelemetry-api/Manifest1
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.28.0.ebuild61
-rw-r--r--dev-python/opentelemetry-sdk/Manifest1
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.28.0.ebuild62
-rw-r--r--dev-python/opentelemetry-semantic-conventions/Manifest1
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.0.ebuild52
-rw-r--r--dev-python/oslo-utils/Manifest1
-rw-r--r--dev-python/oslo-utils/oslo-utils-7.4.0.ebuild55
-rw-r--r--dev-python/pyglet/Manifest1
-rw-r--r--dev-python/pyglet/pyglet-2.1_rc1.ebuild84
-rw-r--r--dev-python/simsimd/Manifest1
-rw-r--r--dev-python/simsimd/simsimd-6.0.1.ebuild64
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-25.29.0.ebuild (renamed from dev-python/sqlglot/sqlglot-25.27.0.ebuild)0
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-4.5.2.ebuild78
28 files changed, 642 insertions, 57 deletions
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index e0b26bc39243..a08f14cf7fd6 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,3 +1,3 @@
DIST aiohttp-3.10.10.tar.gz 7542993 BLAKE2B edc9808937892e2915b591a3d5b9e2be8401a67e6421ada8c49e27cfa1ee67283465d17e3c3a77f7579d4ed45df39884a2f9e336429ef7d64adf351ce7507a85 SHA512 c6928d989c110c323347b6f5b0a90c42e17924b4121455a240f5a15d87f939580640ba0f8d576f8254e484e5b631ec4562a2fb4e6c86402924b1892a6d72aff8
-DIST aiohttp-3.11.0b1.tar.gz 7613789 BLAKE2B c5eff496ab6c6fe755a31a3f368716de52727e825102ff718016c0e9ff698bd95b114ac5d41790359cd44ecaba44fde6785ce7e220a4835378f36241318d2bef SHA512 a9bd6a45eb47e5209eb5765590684cd3134b936cfd0126716b4e723bf6d5a909079233148ce48f9cff69d4020a6ec25e809860c02cba702079fe5e44bf86d5ff
DIST aiohttp-3.11.0b2.tar.gz 7615280 BLAKE2B a37a095b065adc4ecadfb8c01713848a504ee4ae87a16073283463b0d49dd4adb1439ee900e4015061dc217dacd285faf8e2dc9abcd3dc98ad09836ac07c8611 SHA512 babbcbdf291d80dbb26b2b32db328844d4a815360d8862915b9e5e11c508ab6c381092565d3b014a5c53047b375645f7f607ac6c6a8ed2f15639ebe03148bfa7
+DIST aiohttp-3.11.0b3.tar.gz 7617599 BLAKE2B 02cac5fbaeec0f7d7114bcac48246dfc3777f91e0aeef489f1e537a9e034c09d3e9e8959825c87775ec92f012542138d790be4b4dff89b99c35b87fbc59a236e SHA512 13a3be6a9148363b75ff959b2b0bcb0669990043c89a8f05cbeb133f4e1180ee7ebb1fc8aa5ed6c5dea9e1950294b8ce4f36e54d02e9e4bad03be13083bf3fe8
diff --git a/dev-python/aiohttp/aiohttp-3.11.0_beta1.ebuild b/dev-python/aiohttp/aiohttp-3.11.0_beta3.ebuild
index 4ca10f97c579..ddfcb7da591b 100644
--- a/dev-python/aiohttp/aiohttp-3.11.0_beta1.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.11.0_beta3.ebuild
@@ -102,7 +102,9 @@ python_test() {
# python_on_whales is not packaged
tests/autobahn/test_autobahn.py
# benchmarks
+ tests/test_benchmarks_client.py
tests/test_benchmarks_client_request.py
+ tests/test_benchmarks_client_ws.py
tests/test_benchmarks_cookiejar.py
tests/test_benchmarks_http_websocket.py
tests/test_benchmarks_http_writer.py
diff --git a/dev-python/caldav/Manifest b/dev-python/caldav/Manifest
index 6e0ceb3cb393..b0d06d59e08e 100644
--- a/dev-python/caldav/Manifest
+++ b/dev-python/caldav/Manifest
@@ -1 +1,2 @@
DIST caldav-1.3.9.tar.gz 106392 BLAKE2B 6b7ca6b7be72b604f54663c5d2a79bc0a3b9874c791407fb7161357bad4cc5016249d0dd8278fb394ff3ce9bfa681f8e034710706faf2d1b4eb8345ac3ba110c SHA512 d368511b82d341406801ecca6aa371a2b4f5641eedba784fa869d76ebd1836991fb2d1cdc12d42feb1a55db73dfb5d80da7efebf95759fd7b6e122129a001ae3
+DIST caldav-1.4.0.tar.gz 141012 BLAKE2B a7936779571c01935f827d2a1a6bd059354431735b316fdbcf324a8be7ccbf4f4aaa88fac902088b39cc96c7b2d7b85d6a8bf87e06f4d30c95dcd7135535537d SHA512 15684684080bb4de2eefc20babcd75ed2de753fad516f456f3ef93439ef94ed31afcce725cde09b722e52fb1af03631d1489151e31e1be5745dc210ee51dca0f
diff --git a/dev-python/caldav/caldav-1.4.0.ebuild b/dev-python/caldav/caldav-1.4.0.ebuild
new file mode 100644
index 000000000000..b89591b9f354
--- /dev/null
+++ b/dev-python/caldav/caldav-1.4.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CalDAV (RFC4791) client library for Python"
+HOMEPAGE="
+ https://github.com/python-caldav/caldav/
+ https://pypi.org/project/caldav/
+"
+
+LICENSE="|| ( GPL-3 Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ >=dev-python/recurring-ical-events-2.0.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/vobject[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 33729d912fca..4fe470747c6b 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1,4 +1,3 @@
DIST cmd2-2.4.3.tar.gz 678661 BLAKE2B 806fbd6abc26737032dd6330ebabc1e5308e9082f9c98002845a54f1458d314feb476e4d491892e74cde16f5043c57495426ad50aaf3e7e8d0d938f0388db6e2 SHA512 1d440752262f38a742069e636373884edcc49c17ba17b21b24015cfe559b4df36b45ac9489f2f643897fbd38f54b8e6120daf07ef25d2f209af8a4ac8e4c0085
-DIST cmd2-2.5.0.tar.gz 688531 BLAKE2B b5b88faf2848b8941df70235c32451847c86dbc7953b960383e57fa1529d4d3c557d75a36010900f7702c68b3f46de1725fb4b74892073b0dcd975b4f880e9cb SHA512 7c04cb735624abdd8ba93aa7dd5155913fe6bd9f2021c58008a20e91c380fed87c1bb32b552be6b7ab47ceca49bc5dced9e31fe7a5a0b621475862b28216f4ee
-DIST cmd2-2.5.1.tar.gz 984750 BLAKE2B 3da891b3ba5b6b4ac85511830d79bb339a4cc33c2aa7d85b6f4143f533b53b3786a8d2034c062f36909eb8a15efcf8451c19a5d9a6beb4c7f122933482058041 SHA512 703f5d0aca1006f94c5971815c8b18e40d186f906d782fb6386d5d50c08f03535c8dc1577fc6b2f67fca207d414c01223f5efa2adeafe121217b2a0158deec94
DIST cmd2-2.5.2.tar.gz 984695 BLAKE2B b85b1f0732897491c9f391a56018c5258a8916299003c565e4f2f42866ce1ff48d86e03b54aa0bf7a582e8e51cf41b079d0fabe418b4e9a855a8e850e7bc02cb SHA512 565c64030f4ea15e29a8350ed625b56a3e18c442930a8c4216c334431ab220895e0dd21ff079c5a888c693f43fec4b69da4dcf14c84ec3a089cfc27ff4c298f8
+DIST cmd2-2.5.3.tar.gz 689714 BLAKE2B 20dd6aff4b2c520d5f82e6273a853571d03d8c5b1d464c0225270757e6e8f4a36ced09c2311bbdc132603d92ff80bb7047502aef445974fb9908b7088f92a8b4 SHA512 eb5da50a543f485a15a768cca72cfaa32608e20d8afc07712baa7c2105eefd8496a9ad2a123097dd7dac236de6e2cf725539a36dd7902bd909668e41f304b646
diff --git a/dev-python/cmd2/cmd2-2.5.1.ebuild b/dev-python/cmd2/cmd2-2.5.1.ebuild
deleted file mode 100644
index c2aa8ea01106..000000000000
--- a/dev-python/cmd2/cmd2-2.5.1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 virtualx pypi
-
-DESCRIPTION="Extra features for standard library's cmd module"
-HOMEPAGE="
- https://github.com/python-cmd2/cmd2/
- https://pypi.org/project/cmd2/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- dev-python/pyperclip[${PYTHON_USEDEP}]
- dev-python/wcwidth[${PYTHON_USEDEP}]
-"
-# pyperclip uses clipboard backends in the following preference order:
-# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
-# klipper is known to be broken in Xvfb, and therefore causes test
-# failures. to avoid them, we must ensure that one of the backends
-# preferred to it is available (i.e. xclip or xsel).
-BDEPEND="
- dev-python/setuptools-scm[${PYTHON_USEDEP}]
- test? (
- dev-python/pytest-mock[${PYTHON_USEDEP}]
- || (
- x11-misc/xclip
- x11-misc/xsel
- )
- )
-"
-
-distutils_enable_tests pytest
-
-src_test() {
- # tests rely on very specific text wrapping...
- local -x COLUMNS=80
- virtx distutils-r1_src_test
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- # TODO: tests_isolated?
- epytest -o addopts= -p pytest_mock tests || die
-}
diff --git a/dev-python/cmd2/cmd2-2.5.0.ebuild b/dev-python/cmd2/cmd2-2.5.3.ebuild
index c2aa8ea01106..c2aa8ea01106 100644
--- a/dev-python/cmd2/cmd2-2.5.0.ebuild
+++ b/dev-python/cmd2/cmd2-2.5.3.ebuild
diff --git a/dev-python/jsonpickle/Manifest b/dev-python/jsonpickle/Manifest
index f1614acffd76..7737bf732f0e 100644
--- a/dev-python/jsonpickle/Manifest
+++ b/dev-python/jsonpickle/Manifest
@@ -1 +1,2 @@
DIST jsonpickle-3.3.0.gh.tar.gz 324099 BLAKE2B e2c922df65f497b80ae78258024342de763d7585ce391f076e9e8a2f1da73e5c755b977be069a9778c85721b2fdcfcde70034374c7f38f001486a41742e9a488 SHA512 b796c2263ccb38e9e9191d9519ac044defa5df8a2b34bc8002f4de59397056048e037ae12f3e5ca46061febb81a7b35cfec11335926c893357f0c22e9b1b6d85
+DIST jsonpickle-3.4.1.gh.tar.gz 307367 BLAKE2B 3885953e418ee07266abecaa0360527a8f5074c3d1f56ee921102a32a1780a752c6a5bf70e127b47ddbbb9c2a32c62268c5af67a11d253d40a76fdb9b8756924 SHA512 0dec541753e0b1bb980d78d091fdc01f4e390415d39ffe2c1a0c466629b23580aa4d849bef4cc8c4ccb5666445a8229cceacc6b3e01e104b648adb076ac7e04e
diff --git a/dev-python/jsonpickle/jsonpickle-3.4.1.ebuild b/dev-python/jsonpickle/jsonpickle-3.4.1.ebuild
new file mode 100644
index 000000000000..4c1c93924566
--- /dev/null
+++ b/dev-python/jsonpickle/jsonpickle-3.4.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for serializing any arbitrary object graph into JSON"
+HOMEPAGE="
+ https://github.com/jsonpickle/jsonpickle/
+ https://pypi.org/project/jsonpickle/
+"
+SRC_URI="
+ https://github.com/jsonpickle/jsonpickle/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/feedparser[${PYTHON_USEDEP}]
+ dev-python/gmpy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/ujson[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # unpackaged bson dependency
+ tests/bson_test.py
+ )
+
+ if ! has_version "dev-python/gmpy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=( jsonpickle/ext/gmpy.py )
+ fi
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=( jsonpickle/ext/pandas.py )
+ fi
+
+ epytest tests
+}
+
+pkg_postinst() {
+ # Unpackaged optional backends: yajl, demjson
+ optfeature "encoding numpy-based data" dev-python/numpy
+ optfeature "encoding pandas objects" dev-python/pandas
+ optfeature "fast JSON backend" dev-python/simplejson
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 4ea6399b752e..6a749f0cfa03 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-9.5.41.gh.tar.gz 14762837 BLAKE2B 6519d6f426ad4f53e83255c5a41cd06d4c4892c40457a1bda878f25134bc2942baaa38c90dbbde26a301b4958b149bc0050c3a0a434811f9b7462a6e315555c0 SHA512 4588b4b9ff0debbbb0ed3bc27504c43f7a60a7a0e0690766285dddf50714de2ae048cbdaf44f1bae3607e4ba4aff00f779926cd48e0de59b02a08f3b13291e4f
DIST mkdocs-material-9.5.42.gh.tar.gz 14763147 BLAKE2B 3f45a3d40e77ef822c0a661ca3b8234d7098029f5a259cde631484aa92311c417b628a2b532e8df88d08d116dec7520b2c49219e5e6f6c0db7491bf260cc46c5 SHA512 96e5c8db3dcb047a9eb0df1c686f38238807f44c22554311eb86ac17dca5c6243996b2b8d5bc2745a611a6ca21da0657b5010889fbcc3a038311c816eaf846f5
DIST mkdocs-material-9.5.43.gh.tar.gz 14762388 BLAKE2B 49e5591aa3669c7bc8a8cd1969d3a54c7575958303742d5169023dd0e8c42ea6beabaa730b388e144d06dd402be7edac92a51d26ee40c2e90c2d19b8779afb6a SHA512 f7930ebcecb2cb37ec9a462f7a1a68351e73f745db36a85bac4c07797582e0a64a28936ccb85f0125ff5d3940768627f5b51c425b2d3b886663e904c607ae629
+DIST mkdocs-material-9.5.44.gh.tar.gz 14764147 BLAKE2B e0aaed852abd060eee0b9049798a327a4ddc5969a84289b8aa983b0dfbe926b2e0dfd13525593c2783106bca882adfcfad7961c2eb0363a1f4a4131c364c42c8 SHA512 9a0c8d4a52c8b44b9c8e84b57839d5ddc3080eaa136cb6effc3da8eb9d08a2ef0c0898ff875afabc1783ea548653a9b00f00db67ceb48d52f323a93795529465
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.44.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.44.ebuild
new file mode 100644
index 000000000000..30ab9a0405c7
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.44.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mpxj/mpxj-13.5.1-r1.ebuild b/dev-python/mpxj/mpxj-13.5.1-r2.ebuild
index 96f3d8002cd1..96f3d8002cd1 100644
--- a/dev-python/mpxj/mpxj-13.5.1-r1.ebuild
+++ b/dev-python/mpxj/mpxj-13.5.1-r2.ebuild
diff --git a/dev-python/opentelemetry-api/Manifest b/dev-python/opentelemetry-api/Manifest
index 5a8840700078..3df39c104c81 100644
--- a/dev-python/opentelemetry-api/Manifest
+++ b/dev-python/opentelemetry-api/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.27.0.gh.tar.gz 619819 BLAKE2B d861624821cef77cb4cc81a0d04fd9f238f7363122d0fab34433856458bb06f47b7a04022b29dfdbba2d190159e9b2ffe813f0d56ac9473b44c084b764c982e4 SHA512 d8b5a617c7e804b4e6e1b508395e87481a3dcc3b375573110750830a1cf6037cfeb5c09dba3e7cfa472e385dbf619afedd79b1c31c5bfe4e87d44ea65f4d2f0b
+DIST opentelemetry-python-1.28.0.gh.tar.gz 637413 BLAKE2B e5897c671d95260b38e489a78b879d050355bc319748c3ac712f5e20b41cc1914963c9d835ecd2198f3965e72a429c772287a8d0f45186ec41b3a8bab2764bfa SHA512 1fff73bcd6d9a4bd33e29687674a87d9a1d293964c8d9fdac3122447bd5397161a27186c8cf123d6edef21a9227071a9fe13687593d6923db10dbb96f1e92312
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.28.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.28.0.ebuild
new file mode 100644
index 000000000000..6764b9297c21
--- /dev/null
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.28.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python API"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-api/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Unnecessary restriction
+ sed -i -e '/importlib-metadata/s:, <= [0-9.]*::' pyproject.toml || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-semantic-conventions opentelemetry-sdk \
+ tests/opentelemetry-test-utils
+ do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/opentelemetry-sdk/Manifest b/dev-python/opentelemetry-sdk/Manifest
index 5a8840700078..3df39c104c81 100644
--- a/dev-python/opentelemetry-sdk/Manifest
+++ b/dev-python/opentelemetry-sdk/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.27.0.gh.tar.gz 619819 BLAKE2B d861624821cef77cb4cc81a0d04fd9f238f7363122d0fab34433856458bb06f47b7a04022b29dfdbba2d190159e9b2ffe813f0d56ac9473b44c084b764c982e4 SHA512 d8b5a617c7e804b4e6e1b508395e87481a3dcc3b375573110750830a1cf6037cfeb5c09dba3e7cfa472e385dbf619afedd79b1c31c5bfe4e87d44ea65f4d2f0b
+DIST opentelemetry-python-1.28.0.gh.tar.gz 637413 BLAKE2B e5897c671d95260b38e489a78b879d050355bc319748c3ac712f5e20b41cc1914963c9d835ecd2198f3965e72a429c772287a8d0f45186ec41b3a8bab2764bfa SHA512 1fff73bcd6d9a4bd33e29687674a87d9a1d293964c8d9fdac3122447bd5397161a27186c8cf123d6edef21a9227071a9fe13687593d6923db10dbb96f1e92312
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.28.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.28.0.ebuild
new file mode 100644
index 000000000000..499009fb6d59
--- /dev/null
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.28.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python SDK"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-semantic-conventions-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+# Tests cannot handle xdist with high makeopts
+# https://bugs.gentoo.org/928132
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ "${PN}"/tests/resources/test_resources.py::TestOTELResourceDetector::test_process_detector
+ "${PN}"/tests/metrics/integration_test/test_console_exporter.py::TestConsoleExporter::test_console_exporter_with_exemplars
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests
+}
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index 5a8840700078..3df39c104c81 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.27.0.gh.tar.gz 619819 BLAKE2B d861624821cef77cb4cc81a0d04fd9f238f7363122d0fab34433856458bb06f47b7a04022b29dfdbba2d190159e9b2ffe813f0d56ac9473b44c084b764c982e4 SHA512 d8b5a617c7e804b4e6e1b508395e87481a3dcc3b375573110750830a1cf6037cfeb5c09dba3e7cfa472e385dbf619afedd79b1c31c5bfe4e87d44ea65f4d2f0b
+DIST opentelemetry-python-1.28.0.gh.tar.gz 637413 BLAKE2B e5897c671d95260b38e489a78b879d050355bc319748c3ac712f5e20b41cc1914963c9d835ecd2198f3965e72a429c772287a8d0f45186ec41b3a8bab2764bfa SHA512 1fff73bcd6d9a4bd33e29687674a87d9a1d293964c8d9fdac3122447bd5397161a27186c8cf123d6edef21a9227071a9fe13687593d6923db10dbb96f1e92312
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.0.ebuild
new file mode 100644
index 000000000000..1da141e261fd
--- /dev/null
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Semantic Conventions"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-sdk tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index 54efb3df4df9..5f6dd77490e5 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
DIST oslo.utils-7.3.0.tar.gz 132561 BLAKE2B 98533d7b4e3111a548bfab4cb97854acb4485d84d89eed40fec713fcb14a63deedbf5c019f4ed44d9be535034f3323e96b9b9f5d30467899ea8cd1bdc217200b SHA512 71dcf6fe25cc4c0a2580c32b4a4ceaa22fa1046f84bebc2cbf2c3148379b569638c2e2cce3b7a9bb1bbb87660034baa199bd4a831baa4608ef2f4bbc1d39edb6
+DIST oslo.utils-7.4.0.tar.gz 135993 BLAKE2B 39e23fd850756ff4336d579ca9e3d1ca15de8370298b8bcba6adfc4dc4227c5e8d154347b5f8272ffe7b3f737317fae20f46fc6431cc5d1307b7b2a8d6d51f85 SHA512 b743778529c4da4889737aa249102dd6d7215ce7e794bfb8fb8a48fc448fe34d6a091a8afb551b46b53e2556015bf51ac75d12955a6582972bc7355b68a8799f
diff --git a/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild b/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild
new file mode 100644
index 000000000000..aba0f5fa7c5f
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.utils/
+ https://github.com/openstack/oslo.utils/
+ https://pypi.org/project/oslo.utils/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+ >=dev-python/psutil-3.2.2[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ dev-python/tzdata[${PYTHON_USEDEP}]
+"
+# qemu needed for qemu-img
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ app-emulation/qemu
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # require eventlet
+ rm oslo_utils/tests/test_eventletutils.py || die
+}
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index c04dfccb1053..8132f3080ded 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1,3 +1,4 @@
DIST pyglet-2.0.15.gh.tar.gz 6426555 BLAKE2B 8066ac7c3acd613a6fe02403ec5c88822744d6f7ab5e0043ca01443ab94249be7e542bc97f5354286bd3f5675c1c2e4d108ab474d659efe2905b9892e44ece0c SHA512 8b85264a9f13505f86cef694ebdf1e1ff707980b6ec9d205a1c1ef639b2de0c837926476f8a26b33b7ad8a0cd7d9acfefdd0707bace1734db4185a48f01305d4
DIST pyglet-2.0.17.gh.tar.gz 6499366 BLAKE2B 2113cc99459a543f5ae9612b89d214e99961e30e26ca367b6054b255173375187316d706a13409a160f1f57b4b56029c82ebb74f8722897a8d73e0aa23c88793 SHA512 25657e337df995059bcb7de18c14d151ea5a675e98b6c4ac6524b4cdbee1f44f280d09d15c86bada9f7309de36eb5dcd91ef177d96cbbe8f06c8ef9856838ce3
DIST pyglet-2.0.18.gh.tar.gz 6505764 BLAKE2B 1eff94cdce597d8a1878d7999ad3d367dcfd03c7ac37af4d299357528ee79f12ece5b896fb0bb3584cf5145e7239a76a9b7cb370e977f9d09b832ff88d230236 SHA512 16c599f99d6b80214f04d7113af78dbec0f491dbe42febc4590cc80a4bbefbd3f1431fe1d6b1f87f48396d367750f7993e4b08b5e329b5d08b93c050c05c6bc6
+DIST pyglet-2.1.rc1.gh.tar.gz 6528806 BLAKE2B 2da293268a4b196468454472968c7e56200402fb66d6a7076850e0e364d62eece4a1ae31e3c384eb1930e0fad990de65ef13d17085568131f8fc003c369ee556 SHA512 df4a21894b9eef512fc7681afb790355927a87bc3e69dc4c02a2d64195f91cf22b4f2da1a3622bbf077ead8de5594c57d09a1dc771abf1b57e11be8f62ec046e
diff --git a/dev-python/pyglet/pyglet-2.1_rc1.ebuild b/dev-python/pyglet/pyglet-2.1_rc1.ebuild
new file mode 100644
index 000000000000..92556ed30f5a
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.1_rc1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 virtualx xdg-utils
+
+MY_P=${P/_/.}
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+ https://pyglet.org/
+ https://github.com/pyglet/pyglet/
+ https://pypi.org/project/pyglet/
+"
+SRC_URI="
+ https://github.com/pyglet/pyglet/archive/v${PV/_/.}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+RDEPEND="
+ virtual/glu
+ virtual/opengl
+ image? (
+ || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ )
+ )
+ sound? (
+ || (
+ media-libs/libpulse
+ media-libs/openal
+ )
+ )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/fontconfig
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ xdg_environment_reset
+
+ local EPYTEST_DESELECT=(
+ # lacking device/server permissions
+ tests/unit/media/test_listener.py::test_openal_listener
+ tests/unit/media/test_listener.py::test_pulse_listener
+ # fragile to system load
+ tests/unit/media/test_player.py::PlayerTestCase::test_pause_resume
+ tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+ )
+
+ # Specify path to avoid running interactive tests
+ # We could add in integration tests, but they're slow
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 97571936a639..bfe3355c1db6 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
DIST SimSIMD-5.9.11.gh.tar.gz 204255 BLAKE2B 6c67f47bf2beb41b8f6e091874c808a9be0da307d6bc7af5d6cca62435d1a4199cff7444b8b9f0ce04dbdd779641d635b8e7545512cfeb782ca81ef0f6e74e2e SHA512 eae6b0a509198de09a6d47c207554cc330ad1242b3a1d98d74d0fcb0c960052de1765e05d2bbe4bbb295224266dc393890a159b7fa933c6d7725685a5e50d1ec
DIST SimSIMD-6.0.0.gh.tar.gz 206367 BLAKE2B a79d19ffd4fb9fb518ec4b05523aa316e99e1729884decfe560be419ab7dd5d8395835ebcd593dc7ec92aa8524ce2a6f1a3693e363c638d60d1d417b636f1fbe SHA512 0edc66409d6616066205b6f976220a86f180f3e1d32c2a25e9173ae49314ed72362949bcc91b288e791b65569654573e7b3b9a5f1c79609ab58ada12abe8a458
+DIST SimSIMD-6.0.1.gh.tar.gz 206464 BLAKE2B db6806c21920531c8e108b6a7b393a79a7ed90fdda0bae7e59254298b93b3aa2fcedaf39eab1c1ea81a2c4e9cd813def898e9313220518f6e1c4586b41fa6fc2 SHA512 889fd41365f978c236d8ddc33600f02839f7169cca26f18bc45322c167e56ae21a15a7ff1e8d51b47f70066a8b2611ae23c5be2f9897a6287690613d3e6e33dc
diff --git a/dev-python/simsimd/simsimd-6.0.1.ebuild b/dev-python/simsimd/simsimd-6.0.1.ebuild
new file mode 100644
index 000000000000..61d7aca0a9fa
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.0.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
+HOMEPAGE="
+ https://github.com/ashvardanian/SimSIMD/
+ https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+ https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-repeat[${PYTHON_USEDEP}]
+ dev-python/tabulate[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+src_prepare() {
+ sed -i -e '/-O3/d' setup.py || die
+ if ! use openmp; then
+ sed -i -e '/-fopenmp/d' setup.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p repeat scripts/test.py
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index d4fa8ebbf68f..6ebc7ec14bb6 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -19,8 +19,8 @@ DIST quote-1.0.33.crate 28090 BLAKE2B 77c4b166f1200e1ee2ab94a5014acd334c1fe4b7d7
DIST redox_syscall-0.4.1.crate 24858 BLAKE2B c3301137a0b84e03b09d28dfa377ab3bea74d574a08cee21d35713b278d8b5b30ca2a1d73a0981baeb4644cbb88c86c8eb15ab3bb2692e38b93e6b35fab4e0da SHA512 073ed9d96090cf46eab9877742277a013c62d8da86d9caf2310b4fa868af306511936553579e01309f27067d344226cc8dc5e3aef01d9b900da2febd33848f8d
DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4 SHA512 6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
-DIST sqlglot-25.27.0.tar.gz 19567180 BLAKE2B f921e9063aac75ad4b0962ac26d850c128751118cf39dc8cd07e3be18a8c7061f337cba9f2df5adcd87b695fbe33cdb632dde5cccb956235e7e11497d2a2f480 SHA512 97b44ff96b7c277b4fc7e9c7e4a77a10dbbfde3a6822ea6d318274ae6b93e563abee4b4856df5679992134385b179e1e5a5251bdb38c5378d4e5061150fcd39b
DIST sqlglot-25.28.0.tar.gz 19576571 BLAKE2B ab399819a06f8fbd67977f2df65fae50952fa79e5a8d6e8eff46c346841e6e2ecf480d0815dcf3d1a21d52b35d6a8b535c3e1dc4c786ee20d31114554c533bfa SHA512 ce47bd073529101687390ddd2210212b5335139ad370cf71f8a73b3c1419f51778bf1955836e2a58cf53ebc5e9b36aaf9cbba171c5775bd92b2a6a74ab992f41
+DIST sqlglot-25.29.0.tar.gz 19594726 BLAKE2B 67f4fb6826819a720fc402668042a7d351506595fc6e7b1f33630e986ff55ebe108ffda053a213b20a36330da377dec3d2d24372d6cfd7e42761c045bdc3acb8 SHA512 232feafb2c6a8e37c50398ca7f4739e02feecf175740d8d5d164c28737a6c69b7a0a01cb1754e5520bcc6a0013f4798bdcaae29a8be564f3a9a6250ca057fa58
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-25.27.0.ebuild b/dev-python/sqlglot/sqlglot-25.29.0.ebuild
index 3bab78f5b721..3bab78f5b721 100644
--- a/dev-python/sqlglot/sqlglot-25.27.0.ebuild
+++ b/dev-python/sqlglot/sqlglot-25.29.0.ebuild
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 8ec5efb34973..f42e4d5710a5 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,2 +1,3 @@
DIST trimesh-4.4.9.gh.tar.gz 13612220 BLAKE2B 9ee21f8a3f0db041133b2843948a00e8ee6bf52e3de1d2ca9ac88391ef1c07a4b540c75b439da3e137923f0822399cdf759072729363253ad8137a06cb208791 SHA512 3b58a0378231dd1111ac4ffe030b1dd18d24647e22fe815bc411a7854f83e12a9482cb0b48d5333be9f6f6ebf622c15e29c446531ce27ff12c1835a6f25cc51a
DIST trimesh-4.5.1.gh.tar.gz 13615930 BLAKE2B c3477dba45e27e50e9dd295693abd3c5f87aefefaa8b9f68efae3e36a7fd8b2fa74f319535dd3a5b9cf795c5603f11e1bc1ca78e7ad98b78c46b9349c7be91f9 SHA512 5cd289dce9f6913afc9708de16bec2f0fb2f5c1d171f9c043bb3f2a0ac56d59a06e0c4e4bfaf833594850abbb75ab798331bbad28f9089998f801979cabe3657
+DIST trimesh-4.5.2.gh.tar.gz 13616030 BLAKE2B 1201b0d3f2780564c970d7c14331905e4fe808df3f0185dbdd1cdf383d4358d9dd50d3bdbedd6a3ada843657452a5aabb0ca3eaab6b56c65373ebc9a1ca91ad5 SHA512 13fedd9bac79e25d510b776166d9ea04cf60638f3702cdf3a8a7f14e4297fe26fa4b9eacffb9a22f1b175c01bf75d4452e57a073ca8eb4858b028abca99d2e5b
diff --git a/dev-python/trimesh/trimesh-4.5.2.ebuild b/dev-python/trimesh/trimesh-4.5.2.ebuild
new file mode 100644
index 000000000000..d21e980779c5
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.5.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ dev-python/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox-earcut[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=1800
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires manifold3d
+ tests/test_boolean.py::test_multiple_difference
+ )
+ local EPYTEST_IGNORE=(
+ # require pyinstrument
+ tests/test_sweep.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" dev-python/scikit-image
+}